Bug 227190 - CSS counter style improvements for Armenian, Tamil, and some CJK styles
Summary: CSS counter style improvements for Armenian, Tamil, and some CJK styles
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Darin Adler
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-19 20:50 PDT by Darin Adler
Modified: 2021-06-21 12:47 PDT (History)
14 users (show)

See Also:


Attachments
Patch (77.82 KB, patch)
2021-06-19 22:00 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (80.25 KB, patch)
2021-06-20 06:16 PDT, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2021-06-19 20:50:37 PDT
CSS counter style improvements for Armenian, Tamil, and some CJK styles
Comment 1 Darin Adler 2021-06-19 22:00:01 PDT
Created attachment 431813 [details]
Patch
Comment 2 Darin Adler 2021-06-19 22:01:52 PDT
Got started on this because Sam mentioned that css-counter-style was a directory where we had a lot of Web Platform Test failures. This fixes somewhere between 1/4 and 1/3 of the failures and I’ll follow up with more fixes.
Comment 3 Darin Adler 2021-06-20 06:16:02 PDT
Created attachment 431818 [details]
Patch
Comment 4 EWS 2021-06-20 10:31:22 PDT
Committed r279055 (238975@main): <https://commits.webkit.org/238975@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431818 [details].
Comment 5 Radar WebKit Bug Importer 2021-06-20 10:32:31 PDT
<rdar://problem/79539314>